#ifndef XCBRUSH
#define XCBRUSH

#include "xasset.h"
#include "xcbrushside.h"

#include <QVector3D>

class XCBrush : public XAsset
{
public:
    XCBrush();
    ~XCBrush();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector3D mMins;
    qint32 mContents;
    QVector3D mMaxs;
    quint32 mNumsides;
    QVector<XCBrushSide> mSides;
    QVector<QVector3D> mAxialMaterialNum;
    quint8 mBaseAdjacentSide;
    QVector<QVector3D> mFirstAdjacentSideOffsets;
    QVector<QVector3D> mEdgeCount;
};

#endif // XCBRUSH
